Subject: bug#71646: 29.3; pixel-scroll-precision-mode overrides paging behaviour even when pixel-scroll-precision-interpolate-page is off

From: Po Lu <[email-masked]>
Date: Sun, 01 Sep 2024 19:35:24 +0800

Stefan Kangas <[email-masked]> writes:

> Eli Zaretskii <[email-masked]> writes:
>
>> Ping! Should I close this?
>
> Shouldn't we rather fix the bug described by Mike?  I.e. this:
>
>> Setting `pixel-scroll-precision-interpolate-page’ is supposed to
>> turn off the paging animation (which it does) however even when it’s
>> off, <prior> and <next> invoke `cua-scroll-up’ & `cua-scroll-down’
>> rather than allowing another keymap to handle it.

This isn't a bug.  If ever there was a time to object to these
semantics, it was two years ago, at which time all I heard was
enthusiastic support.